using System;

namespace Syntriax.Modules.Trigger
{
    public interface ITrigger
    {
        /// <summary>
        /// Called everytime the IsTrigerred field is changed
        /// </summary>
        /// <value>The new value of IsTrigerred</value>
        Action<bool> OnTriggered { get; set; }
        bool IsTrigerred { get; }
    }
}
